#include <iostream>
#include "gamematrix.h"
using namespace Matrix3D;

void test_rotation_z() {
    Vec3 v{1,0,0};
    auto R = rot3D(90,'z');
    Vec3 res = apply(R,v);
    std::cout << "Rotate Z 90° -> (" << res.x << "," << res.y << "," << res.z << ")\n";
}

void test_translate() {
    Vec3 v{0,0,0};
    auto T = translate({1,2,3});
    Vec3 res = apply(T,v);
    std::cout << "Translate -> (" << res.x << "," << res.y << "," << res.z << ")\n";
}

int main() {
    test_rotation_z();
    test_translate();
}
